Por fin, DraftSight 64 bit, en Ubuntu

En repetidas ocasiones he escrito sobre Draftsight, por dos motivos principales. El primero es que me parece una muy buena herramienta para trabajar en Ubuntu con archivos de CAD, el segundo, es que hasta la fecha todas las versiones que se habían desarrollado eran de 32 bit, con lo que instalarlo en 64 bit, en ocasiones se convertía en una pequeña odisea.

Sin embargo, en esta última versión, Draftsight ha sido liberado única y exclusivamente en 64 bit, facilitándonos la instalación, pero además, después de haberlo probado, te puedo asegurar que es muy rápido, mucho mas de lo que te puedas imaginar.

DraftSight - [2.6.R01_Planta_de_cubierta_puerta_corredera.dwg]_424.png

Draftsight

Nota y aviso

No quiero que nadie se lleve a engaño, Draftsight no es software libre, se trata de software privativo, y su código no es abierto. Sin embargo dependiendo de la modalidad de licencia que escojas puede ser gratuita.

Sobre Draftsight

Como he comentado en otras ocasiones, un parte importante de mi vida profesional la hago de cara a una aplicación CAD, y por esta razón, te puedo asegurar que si sueles trabajar con AutoCAD, en Draftsight vas a encontrar una aplicación de las mismas características, uso y funcionalidad, pero con la ventaja de que se trata de una aplicación multiplataforma, que funciona tanto en Windows, MacOSX ó Linux.

Igualmente, te puedo asegurar que en el entorno Linux, Draftsight es la herramienta de diseño asistido por ordenador con la que más cómodo y habituado he trabajado, sobre todo, teniendo en cuenta que en el entorno Windows trabajo con AutoCAD.

En cuanto a los formatos, lee perfectamente hasta la última versión dwg, con lo que por esto no te debes preocupar, salvo por guardarla en una versión que la puedas leer con la versión de AutoCAD instalada.

DraftSight proporciona varios tipos de soluciones para el usuario final,

  • Versión libre,con una licencia autónoma que requiere activación, pero que como he comentado anteriormente, es gratuita.
  • Versión profesional, que incluyen determinadas mejoras solo en la versión para Windows, como son una caja de herramientas, bibliotecas de diseño, acceso a la API y actualizaciones, cálculos de propiedades de masa, impresión en segundo plano y mas. El precio es de aproximadamente 300 € con una suscripción anual de 100 €

Instalación

Como he comentado los usuarios de la plataforma de 64 bit lo tenemos muy sencillo, tan solo debemos descargar el archivo de la página de Draftsight, existiendo versión para Fedora y para Ubuntu.

Una vez descargado, lo puedes instalar haciendo doble clic sobre él, o bien ejecutando el siguiente comando en un emulador de terminal

sudo dpkg -i draftSight.deb

En caso de que al iniciar la aplicación te de algún error, es posible que te falte alguna librería necesaria para el funcionamiento. En mi caso, se solucionó instalando las librerías necesarias, ejecutando las siguientes órdenes en un emulador de terminal,


sudo apt install libgstreamer-plugins-base0.10-0
sudo apt install libgstreamer0.10-0

 

Conclusión

Si trabajas con CAD simplemente te recomiendo que lo pruebes, para que compruebes tu mismo lo que he comentado tanto de la compatibilidad con AutoCAD como de la rapidez de la aplicación.

9 comentarios en “Por fin, DraftSight 64 bit, en Ubuntu

  1. LinuxUserArgentina hace 6 años

    Gracias por el comando. El Centro de Software de Ubuntu (el de la versión 14.04) no lo lograba abrir!! Quedaba indefinidamente pensando…

  2. flp hace 5 años

    No lo puedo instalar, me sale el siguiente mensaje:

    No se pudieron cargar los módulos. Se cerrará la aplicación.
    Vuelva a instalar la aplicación.

    Si me pueden dar las solución, gracias

    1. El atareao hace 5 años

      Hola flp,

      A mi me sucede exactamente lo mismo. Entiendo que le falta alguna librería, pero no consigo localizar cual es. Lo sigo intentando.

      un saludo

      1. Ray hace 5 años

        Despues de mucho navegar la magia para mi fue esto, despues desde luego de instalar las librerias i386:

        sudo apt-get install libgstreamer0.10-0 libgstreamer-plugins-base0.10-0

        1. El atareao hace 5 años

          Muchas gracias Ray. Actualizo el artículo con tus indicaciones.

          Un saludo y gracias.

        2. Hilmar Miguel Say García hace 5 años

          Gracias por la ayuda, acabo de instalar Ubuntu 16.04 hoy estuve probando y no había manera, primero por la lentitud del centro de software, y pues le dí con estos comandos que anteriormente habían funcionado en ubuntu 15.10:

          sudo apt-get install libstdc++6:i386 libgtk2.0-0:i386 libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libglu1-mesa:i386

          Sin tener éxito, sigue el mismo problema de »
          No se pudieron cargar los módulos. Se cerrará la aplicación.
          Vuelva a instalar la aplicación.»

          Luego con los del post

          sudo apt install libgstreamer-plugins-base0.10-0:i386
          sudo apt install libgstreamer0.10-0:i386

          Sin exito, hasta que con la solución de Ray,

          sudo apt-get install libgstreamer0.10-0 libgstreamer-plugins-base0.10-0

          Que segun entiendo, al parecer el problema es con las librerias de amd64, Saludos y de nuevo muy agradecido

          1. El atareao hace 5 años

            Efectivamente Hilmar tienes toda la razón, solo son necesarias las librerías de 64bit. He desinstalado las de 32 y funcionaba y al desinstalar las de 64 ha dejado de funcionar. Corrijo el artículo.

            Muchas gracias y un saludo.

        3. flp hace 5 años

          Estupendo!, funciona con la solución de Ray:
          sudo apt-get install libgstreamer0.10-0 libgstreamer-plugins-base0.10-0

          Las librerías mencionadas de 32 bit / i386 no valen y las he borrados sin saber si las traía por defecto ya Ubuntu 16.04 LTS y fuesen necesarias
          No entiendo como los de Draftsight pueden colgar esta descarga con este problema

          Ahora tengo que manejar el programa a ver si va sin problemas

          Gracias gracias Ray

    2. flp hace 5 años

      Tengo instalado el Ubuntu 16.04 LTS. No hay manera, también he intentado varias librerías, etc. etc. y nada

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *